function plotStiffnessIdent(DataSysID,DataPTSysID,Settings)
%plotStiffnessIdent Plot stiffness identification results
%   Plot all the stiffness identification, with seperate intrinsic and
%   reflexive contributions.
%
%	SYNTAX
%   plotStiffnessIdent(DataSysID,DataPTSysID,Settings)
%
%	INPUTS
%   DataSysID   = System Identification (seperate intrinsic/reflexive) results (struct)
%   DataPTSysID = Post-trial system identification (seperate intrinsic/reflexive) results (struct)
%   Settings    = Overview of all processing settings (struct)
      
    % System Identification Results (Intrinsic Stiffness & Reflexive Gain)
    figure('Name','System Identification (Stiffness & Refl. Gain)')
    subplot(2,1,1);
        hold on;
        plot(DataSysID.t,DataSysID.intrStiffness)
        if (Settings.isPostTrialIdent)
            plot(DataPTSysID.t,DataPTSysID.intrStiffness)
        end
        xlabel('Time [s]')
        ylabel('Intrinsic Stiffness [Nm/rad]')
    subplot(2,1,2);
        hold on;
        plot(DataSysID.t,DataSysID.reflexive)
        if (Settings.isPostTrialIdent)
            plot(DataPTSysID.t,DataPTSysID.reflexive)
        end
        xlabel('Time [s]')
        ylabel('Reflexive Gain [Nm/rad/s]')
end